/*
 *   dgacpi-gtk - Dancer's ACPI monitoring system GTK+ debug tool. 
 *     GTK+ specific codes.
 *   Copyright (C) 2002 Junichi Uekawa
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdio.h>
#include <gtk/gtk.h>
#include <locale.h>
#include "dgacpi.h"
#include "libdanceracpi/libdanceracpi.h"


static gint delete_event (GtkWidget * w, GdkEvent * e, gpointer data)
{				/* I will be deleted */
  return FALSE;  
}

static gint destroy_callback (GtkWidget * w, gpointer data)
{
  gtk_main_quit();
  return 0;  
}



void
CreateItems(datastruct * ds, GtkWidget *vbox)
{
  ds->progress = gtk_progress_bar_new();
  gtk_progress_bar_set_bar_style(GTK_PROGRESS_BAR (ds->progress), GTK_PROGRESS_CONTINUOUS);
  gtk_progress_set_format_string(GTK_PROGRESS(ds->progress), "%v%% [%l-%u]");
  gtk_progress_set_show_text(GTK_PROGRESS(ds->progress), TRUE);
  gtk_box_pack_start(GTK_BOX(vbox), ds->progress, TRUE, TRUE, FALSE);
  gtk_widget_show(ds->progress);  

  ds->text = gtk_label_new("Hours");
  gtk_box_pack_start(GTK_BOX(vbox), ds->text, 
		     TRUE,
		     TRUE,
		     FALSE);
  gtk_widget_show(ds->text);
  return ;
}

GtkWidget *
CreateVBox(datastruct*ds, GtkWidget * w)
{
  GtkWidget * v = gtk_vbox_new (FALSE, FALSE);  
  gtk_container_add (GTK_CONTAINER (w), v);
  CreateItems(ds, v);
  gtk_widget_show(v);
				/* this v is the vbox people should add their objects to. */
  return v;
}

void
CreateMainWindow(datastruct * ds)
{
  GtkWidget *winMain ;  
  GtkWidget * vbox;
  
  winMain=gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_usize (winMain, 128, 64);
  
  gtk_signal_connect (GTK_OBJECT(winMain), "delete_event", 
		      GTK_SIGNAL_FUNC(delete_event), NULL);
  gtk_signal_connect (GTK_OBJECT(winMain), "destroy",
		      GTK_SIGNAL_FUNC(destroy_callback), NULL);  
  vbox=CreateVBox(ds, winMain);
  gtk_widget_show(winMain);
  return ;
}
